:mod:`lasagne.nonlinearities`
=============================

.. automodule:: lasagne.nonlinearities

.. autosummary::

   sigmoid
   softmax
   tanh
   ScaledTanH
   rectify
   LeakyRectify
   leaky_rectify
   very_leaky_rectify
   elu
   SELU
   selu
   softplus
   linear
   identity

Detailed description
--------------------

.. autofunction:: sigmoid
.. autofunction:: softmax
.. autofunction:: tanh
.. autoclass:: ScaledTanH
   :members:
.. autoclass:: ScaledTanh
.. autofunction:: rectify
.. autoclass:: LeakyRectify
   :members:
.. autofunction:: leaky_rectify
.. autofunction:: very_leaky_rectify
.. autofunction:: elu
.. autoclass:: SELU
   :members:
.. autofunction:: selu
.. autofunction:: softplus
.. autofunction:: linear
.. autofunction:: identity
